import { mountInertiaRoot } from './bootstrap'
import React from 'react'
import { createInertiaApp } from '@inertiajs/react'

import LeaderboardPage from './Pages/Leaderboard/LeaderboardPage'

const pages = {
  'Leaderboard/LeaderboardPage': LeaderboardPage,
}

createInertiaApp({
  resolve: (name) => pages[name],
  setup({ el, App, props }) {
    mountInertiaRoot(el, App, props)
  },
})
